aboutsummaryrefslogtreecommitdiffstats
path: root/sharp-binary-only
diff options
context:
space:
mode:
authorChris Larson <clarson@kergoth.com>2004-11-09 00:36:47 +0000
committerChris Larson <clarson@kergoth.com>2004-11-09 00:36:47 +0000
commitf96441b9faf769c9ecdd4d338b605ea3d0cc4010 (patch)
treeedb17ec2c4ea13c5acb1c7350957a249a820e28d /sharp-binary-only
parentb6588aa6851fb220cedc387d21c51513ef8d67f4 (diff)
downloadopenembedded-f96441b9faf769c9ecdd4d338b605ea3d0cc4010.tar.gz
Disable bk EOLN_NATIVE conversions on all files in packages FILESPATHs, to prevent it screwing up patches.
BKrev: 4190111fA4MuVozAqwE7xOSL9fr-TA
Diffstat (limited to 'sharp-binary-only')
-rw-r--r--sharp-binary-only/sharp-camera-support-2.4.18-rmk7-pxa3-embedix/sharpzdc49
-rw-r--r--sharp-binary-only/sharp-sdmmc-support-2.4.18-rmk7-pxa3-embedix/sd67
2 files changed, 116 insertions, 0 deletions
diff --git a/sharp-binary-only/sharp-camera-support-2.4.18-rmk7-pxa3-embedix/sharpzdc b/sharp-binary-only/sharp-camera-support-2.4.18-rmk7-pxa3-embedix/sharpzdc
index e69de29bb2..fbfd99d002 100644
--- a/sharp-binary-only/sharp-camera-support-2.4.18-rmk7-pxa3-embedix/sharpzdc
+++ b/sharp-binary-only/sharp-camera-support-2.4.18-rmk7-pxa3-embedix/sharpzdc
@@ -0,0 +1,49 @@
+#!/bin/sh
+#
+# sharpzdc 1.00 2001/11/21 00:00:00 (Akio Tagami)
+#
+# Initialize or shutdown for SHARP Digital Camera Card
+#
+# The first argument should be either 'start' or 'stop'. The second
+# argument is the base name for the device.
+
+if [ -r ./shared ] ; then . ./shared ; else . /etc/pcmcia/shared ; fi
+
+# Get device attributes
+get_info $DEVICE
+
+# Load site-specific settings
+ADDRESS="$SCHEME,$SOCKET,$SERIAL_NO"
+
+# cmd=$ACTION, dev=$DEVICE, id=$MAJOR, key=$ADDRESS
+
+case "$ACTION" in
+
+'start')
+ if [ -e /dev/$DEVICE ] ; then
+ rm -f /dev/$DEVICE
+ fi
+ mknod /dev/$DEVICE c $MAJOR 0
+ chmod a+rw /dev/$DEVICE
+ ;;
+
+'check')
+ ;;
+
+'stop')
+ ;;
+
+'cksum')
+ ;;
+
+'suspend'|'resume')
+ ;;
+
+*)
+ usage
+ ;;
+
+esac
+
+exit 0
+
diff --git a/sharp-binary-only/sharp-sdmmc-support-2.4.18-rmk7-pxa3-embedix/sd b/sharp-binary-only/sharp-sdmmc-support-2.4.18-rmk7-pxa3-embedix/sd
index e69de29bb2..9a9caf6d23 100644
--- a/sharp-binary-only/sharp-sdmmc-support-2.4.18-rmk7-pxa3-embedix/sd
+++ b/sharp-binary-only/sharp-sdmmc-support-2.4.18-rmk7-pxa3-embedix/sd
@@ -0,0 +1,67 @@
+#!/bin/sh
+
+# rc.sd 1.00 2001/08/08 22:40:44 (Hideki Hayami)
+#
+# Tags for init configuration tools
+#
+# processname: sdmgr
+# pidfile: /var/run/sdmgr.pid
+# description: currently SD support is only for memory devices \
+# which is used as block device.
+
+# Source function library.
+# . /etc/rc.d/init.d/functions
+
+MODULE=sharp_mmcsd_m
+
+usage()
+{
+ echo "Usage: $0 {start|stop|status|restart|reload}"
+}
+
+
+
+if [ $# -lt 1 ] ; then usage ; break ; fi
+action=$1
+
+case "$action" in
+
+start)
+ echo -n "Start SD services:"
+ /sbin/modprobe $MODULE 2>/dev/null
+ if [ -s /var/run/sdmgr.pid ]; then
+ kill -0 `cat /var/run/sdmgr.pid` 2>/dev/null;
+ else
+ /sbin/sdmgr >/dev/null 2>&1 &
+ RETVAL=$?
+ [ $RETVAL -eq 0 ] && touch /var/lock/subsys/sd
+ fi
+ sleep 1
+ echo " sdmgr."
+ ;;
+
+stop)
+ echo -n "Stop SD services:"
+ killall sdmgr
+ if grep -q $MODULE /proc/modules ; then
+ /sbin/rmmod $MODULE
+ fi
+ rm -f /var/lock/subsys/sd
+ echo " sdmgr."
+ ;;
+
+status)
+ ;;
+
+restart|reload)
+ $0 stop
+ $0 start
+ ;;
+
+*)
+ usage
+ ;;
+
+esac
+
+exit 0